<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Service;

use Admin\Entity\System;
use Doctrine\ORM\EntityManager;
use function Doctrine\ORM\QueryBuilder;

class SystemManager
{
    private $entityManager;

    public function __construct(
        EntityManager $entityManager
    )
    {
        $this->entityManager = $entityManager;
    }

    /**
     * 添加
     * @param array $data
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function addSystem(array $data)
    {
        $system = new System();
        $system->valuesSet($data);

        $this->entityManager->persist($system);
        $this->entityManager->flush();
    }

    /**
     * 更新
     * @param System $system
     * @param $sysBody
     * @throws \Doctrine\ORM\ORMException
     * @throws \Doctrine\ORM\OptimisticLockException
     */
    public function editSystem(System $system, $sysBody)
    {
        $system->setSysBody($sysBody);
        $this->entityManager->flush();
    }

    /**
     * 删除
     * @param array $sysName
     * @param $sysType
     * @return void
     */
    public function deleteSystem(array $sysName, $sysType)
    {
        $qb = $this->entityManager->createQueryBuilder();
        $qb->delete(System::class, 's')
            ->where($qb->expr()->in('s.sysName', $sysName))
            ->andWhere('s.sysType = :sysType')->setParameter('sysType', $sysType);
        $qb->getQuery()->execute();
    }
}