<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Shop\Controller\Factory;

use Admin\Data\Config;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Sales\Service\OrderManager;
use Sales\Service\OrderStatusManager;
use Shop\Controller\NotifyController;
use User\Service\UserRechargeManager;

class NotifyControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $orderManager       = $container->get(OrderManager::class);
        $orderStatusManager = $container->get(OrderStatusManager::class);
        $userRechargeManager= $container->get(UserRechargeManager::class);

        return new NotifyController($translator, $entityManager, $orderManager, $orderStatusManager, $userRechargeManager);
    }
}